%define builddir $RPM_BUILD_DIR/%{name}

Summary: A network security tool.
Name: strobe
Version: 1.06
Release: 1.IPv6
Group: Applications/Internet
Copyright: GPL
#Source: ftp://suburbia.net/pub/%{name}-%{version}.tar.gz	# Down
Source: http://ftp.cerias.purdue.edu/pub/tools/unix/scanners/strobe/%{name}-%{version}.tar.gz
Patch2: http://www.inet6.dk/thesis/files/strobe/%{name}-1.07.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Strobe is a network security tool that locates and describes what is
happening on all of the listening TCP ports on a remote host or on
many hosts in a bandwidth utilization maximizing and process resource
minimizing manner.
This version is IPv6-enabled.

%prep
%setup -q -n %{name}
cat %{P:2} | patch strobe.c

## Adjust paths in Makefile
cat <<ENDOFPATCH1 | patch
--- Makefile.orig       Sat Jul 13 14:48:22 2002
+++ Makefile    Sat Jul 13 14:48:52 2002
@@ -3,9 +3,9 @@

 # Modify the below to suit your filesystem

-INSTALLDIR=/usr/local/bin
-LIBDIR=/usr/local/lib
-MANDIR=/usr/local/man/man1
+INSTALLDIR=%{_bindir}
+LIBDIR=%{_datadir}/%{name}
+MANDIR=%{_mandir}/man1

 #CC=cc
 CC=gcc
ENDOFPATCH1

## Adjust path to strobe.services
cat <<ENDOFPATCH2 | patch
--- strobe.c.orig       Sat Jul 13 14:54:41 2002
+++ strobe.c    Sat Jul 13 14:55:30 2002
@@ -59,7 +59,7 @@
 #  define STROBE_SERVICES "strobe.services"
 #endif
 #ifndef LIB_STROBE_SERVICES
-#  define LIB_STROBE_SERVICES "/usr/local/lib/strobe.services"
+#  define LIB_STROBE_SERVICES "%{_datadir}/%{name}/strobe.services"
 #endif

 int a_timeout = 20;
--- strobe.1.orig       Sat Jul 13 14:56:52 2002
+++ strobe.1    Sat Jul 13 14:57:29 2002
@@ -117,7 +117,7 @@
 .B \-S
 is not specified port services are loaded from one of
 .BR strobe.services ,
-.BR /usr/local/lib/strobe.services ,
+.BR %{_datadir}/%{name}/strobe.services ,
 or
 .BR /etc/services .
 .TP
ENDOFPATCH2

## Adjust version
cat <<ENDOFPATCH3 | patch
--- strobe.c.orig       Sat Jul 13 15:02:23 2002
+++ strobe.c    Sat Jul 13 15:02:41 2002
@@ -5,7 +5,7 @@
  * $ cc strobe.c -o strobe
  */

-#define VERSION "1.05"
+#define VERSION "1.06+IPv6"

 #include <stdio.h>
 #include <unistd.h>
--- strobe.1.orig       Sat Jul 13 15:03:09 2002
+++ strobe.1    Sat Jul 13 15:03:21 2002
@@ -1,5 +1,5 @@
 .\" "%W% %G%"
-.TH STROBE\ 1.05 1
+.TH STROBE\ 1.06+IPv6 1
 .SH NAME
 strobe \- Super optimised TCP port surveyor
 .SH SYNOPSIS
ENDOFPATCH3



%build
make "FLAGS=$RPM_OPT_FLAGS"

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{builddir}/strobe $RPM_BUILD_ROOT%{_bindir}
strip $RPM_BUILD_ROOT%{_bindir}/*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1 
cp %{builddir}/strobe.1 $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp %{builddir}/strobe.services $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT CREDITS VERSION HISTORY TODO INSTALL
%attr(755,root,root) %{_bindir}/strobe
%attr(644,root,root) %config %{_datadir}/%{name}/strobe.services
%attr(644,root,root) %{_mandir}/*/*

%changelog
* Sat Jul 13 2002 Peter Bieringer <pb@bieringer.de>
- Upgrade to version 1.06 (taken RHL 7.1 spec template)
- Add IPv6-enable patch
- Add some inline patches to fix hardwire paths in source
- Replace some hardwired paths in spec

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- man pages in /usr/share/man
* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- built for 6.1

* Mon Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
